Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 477328 (CVE-2013-4143) - <x11-misc/xlockmore-5.43: NULL pointer dereference leads to crash and bypass of screen lock (CVE-2013-4143)
Summary: <x11-misc/xlockmore-5.43: NULL pointer dereference leads to crash and bypass ...
Status: RESOLVED FIXED
Alias: CVE-2013-4143
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-18 19:04 UTC by Agostino Sarubbo
Modified: 2013-09-02 09:33 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-07-18 19:04:02 UTC
From ${URL} :

It was reported [1],[2] that xlockmore 5.43 fixes a NULL pointer dereference in situations where 
the crypt() call fails (the release notes indicate this is possible with glibc starting with 
version 2.17 due to crypt() failures returning EINVAL with a NULL return in certain situations).  
This could cause xlock to crash, which would allow for local users to obtain access to a locked 
desktop they would normally require a password to access.

A patch [3] is available.

This affects Fedora 19 as it provides glibc 2.17.  Earlier versions are not affected.


[1] http://www.tux.org/~bagleyd/xlock/xlockmore.README
[2] http://www.openwall.com/lists/oss-security/2013/07/16/8
[3] 
http://sourceforge.net/projects/miscellaneouspa/files/glibc217/xlockmore-5.42-glibc217-crypt.diff


@maintainer(s): after the bump, in case we need to stabilize the package, please say explicitly if it is ready for the stabilization or not.
Comment 1 Jeroen Roovers gentoo-dev 2013-07-18 20:28:39 UTC
Arch teams, please test and mark stable:
=x11-misc/xlockmore-5.43
Stable KEYWORDS : alpha amd64 hppa ppc ppc64 sparc x86
Comment 2 Jeroen Roovers gentoo-dev 2013-07-19 13:11:58 UTC
Stable for HPPA.
Comment 3 Agostino Sarubbo gentoo-dev 2013-07-20 10:16:28 UTC
amd64 stable
Comment 4 Agostino Sarubbo gentoo-dev 2013-07-20 10:17:00 UTC
x86 stable
Comment 5 Agostino Sarubbo gentoo-dev 2013-07-21 15:36:02 UTC
alpha stable
Comment 6 Agostino Sarubbo gentoo-dev 2013-07-21 16:05:59 UTC
ppc64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2013-07-21 17:23:28 UTC
ppc stable
Comment 8 Agostino Sarubbo gentoo-dev 2013-07-21 17:55:06 UTC
sparc stable
Comment 9 Sergey Popov gentoo-dev 2013-08-20 07:38:48 UTC
Thanks. GLSA vote: yes
Comment 10 Chris Reffett gentoo-dev Security 2013-08-27 03:03:14 UTC
GLSA vote: yes, request filed.
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2013-09-02 09:33:07 UTC
This issue was resolved and addressed in
 GLSA 201309-03 at http://security.gentoo.org/glsa/glsa-201309-03.xml
by GLSA coordinator Sergey Popov (pinkbyte).